Page MenuHomePhabricator

Expand the set of bundled extensions and skins in MediaWiki 1.32
Closed, DeclinedPublic

Description

Current proposal:

Event Timeline

CCicalese_WMF triaged this task as Normal priority.Jun 7 2018, 3:50 PM
CCicalese_WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 3:50 PM
CCicalese_WMF updated the task description. (Show Details)Jun 7 2018, 4:28 PM
Prod added a subscriber: Prod.Jun 11 2018, 8:54 PM
Vvjjkkii renamed this task from Expand the set of bundled extensions and skins in MediaWiki 1.32 to tgbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from tgbaaaaaaa to Expand the set of bundled extensions and skins in MediaWiki 1.32.Jul 2 2018, 1:30 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Considering blocking tasks and task descriptions, it seems like we can add Echo, Thanks and Scribunto in time for the MW 1.32 release. They should be ready now.

For the other tasks, there are remaining blockers we probably can't resolve in time.

Considering blocking tasks and task descriptions, it seems like we can add Echo, Thanks and Scribunto in time for the MW 1.32 release. They should be ready now.

Have the Wikimedia development and maintenance teams involved agreed to the extra burden (longer deprecation processes, more support requests, etc.)? I guess Scribunto is Core Platform now so it's their time to direct as appropriate, but the other two are owned by the Growth team who might have other things on which they need to spend their time?

What do you mean with longer deprecation process? Afaik deprecation guidelines are the same for bundled and unbundled extensions.

Personally, I don't think "more support requests" is a reason to abandon extensions from bundling. What are you expecting anyway? Bugs are important to the WMF as well, and installation problems don't have much to do with Phabricator anyway.

What do you mean with longer deprecation process? Afaik deprecation guidelines are the same for bundled and unbundled extensions.

Not true.

Any code in core or bundled extensions reaching deprecated code should be rewritten/updated. Removal of code cannot be done unless it was hard-deprecated in at least one (two recommended) stable version.

Most production extension code isn't affected by this policy.

Personally, I don't think "more support requests" is a reason to abandon extensions from bundling. What are you expecting anyway? Bugs are important to the WMF as well, and installation problems don't have much to do with Phabricator anyway.

And yet, even for non-bundled extensions, we get loads of people asking for support across lots of of support channels (Phab, MediaWiki.org, direct e-mails, GitHub, IRC). This is easily US$Ks of staff time a month. Increasing this is a decision to be made by the people who have to justify the expenditure.

What do you mean with longer deprecation process? Afaik deprecation guidelines are the same for bundled and unbundled extensions.

Not true.
Any code in core or bundled extensions reaching deprecated code should be rewritten/updated. Removal of code cannot be done unless it was hard-deprecated in at least one (two recommended) stable version.

After a bit of discussion with James on IRC, I clarified that those sentences are two separate ideas: https://www.mediawiki.org/w/index.php?title=Deprecation_policy&diff=prev&oldid=2931858

SBisson moved this task from Inbox to External on the Growth-Team board.Oct 25 2018, 3:15 PM
Nirmos updated the task description. (Show Details)Oct 25 2018, 7:36 PM

Given that rc.0 has now been cut, are we going to Resolve this and move the un-done work to a 1.33 task (or just Decline it)?

CCicalese_WMF closed this task as Resolved.Nov 10 2018, 7:07 PM
CCicalese_WMF claimed this task.

Agreed - I created T209220 for 1.33 and moved the relevant subtasks there.

MGChecker changed the task status from Resolved to Declined.Nov 11 2018, 12:29 PM

No extension has been added to MW 1.32, so resolving this seems wrong to me.

Seb35 added a subscriber: Seb35.Nov 21 2018, 10:28 AM

Given this decision, should we remove the tag MW-1.32-release in the unitary tasks and add MW-1.33-release?

Yes. I just made that change.